/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/sgx/input/rumble_profile.hpp

*/

#ifndef SGX_INPUT_RUMBLE_PROFILE_HPP
#define SGX_INPUT_RUMBLE_PROFILE_HPP	1

class CSGXRumbleProfile {
public:
	virtual tREAL32 getRumbleOutput(const tREAL32 t) = 0;
	virtual tREAL32 getInnerCone();
	virtual tREAL32 getOuterCone();
};

class CSGXRumbleProfileConstant : public CSGXRumbleProfile  {
public:
	virtual tREAL32 getRumbleOutput(const tREAL32 t);
};

#endif

